Get rentable item assignment by ID
https://api.propexo.com/v1/rentable-item-assignments/:rentable_item_assignment_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the rentable item assignment
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| leases/getLeaseDetails |
16490802-512014The external ID of the property from the integration vendor
| Method |
|---|
| leases/getLeaseDetails |
1159913The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for ENTRATA
nullThe external ID of the rentable item from the integration vendor
| Method |
|---|
| leases/getLeaseDetails |
512014The external ID of the lease from the integration vendor
| Method |
|---|
| leases/getLeaseDetails |
16490802The start date associated with the rentable item assignment
| Method |
|---|
| leases/getLeaseDetails |
2025-09-26T00:00:00.000ZThe end date associated with the rentable item assignment
| Method |
|---|
| leases/getLeaseDetails |
2026-10-25T00:00:00.000ZThe amount of the rentable item assignment, in cents
| Method |
|---|
| leases/getLeaseDetails |
4000The raw value for amount from the PMS
| Method |
|---|
| leases/getLeaseDetails |
40.00The raw status associated with the rentable item assignment
| Method |
|---|
| leases/getLeaseDetails |
Currentcustom_data object | nullrequired
The Propexo unique identifier for the rentable item
| Method |
|---|
| leases/getLeaseDetails |
clxksir9z000e2xozfgbb7nomThe Propexo unique identifier for the lease
| Method |
|---|
| leases/getLeaseDetails |
clxksir9z000e2xozfgbb7nomThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/rentable-item-assignments/:rentable_item_assignment_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "16490802-512014",
"x_property_id": "1159913",
"x_location_id": null,
"x_rentable_item_id": "512014",
"x_lease_id": "16490802",
"start_date": "2025-09-26T00:00:00.000Z",
"end_date": "2026-10-25T00:00:00.000Z",
"amount_in_cents": 4000,
"amount_raw": "40.00",
"status_raw": "Current",
"custom_data": "Unknown Type: object,null",
"rentable_item_id": "clxksir9z000e2xozfgbb7nom",
"lease_id": "clxksir9z000e2xozfgbb7nom",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}